=== debian/changelog ===
tsdecrypt (8.0-2) unstable; urgency=low

  * Make 'postrm remove' and 'postrm disappear' remove the
    /usr/bin/tsdecrypt alternative (Closes: #668971).
  * Don't remove the alternative on 'prerm deconfigure' to
    preserve user configuration.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Apr 2012 18:46:50 +0200

tsdecrypt (8.0-1) unstable; urgency=low

  * New upstream release:
    - Add --biss-key (-Q) option. This option enables BISS decryption.
    - Add FFdecsa support. In most cases FFdecsa decrypts faster than
      libdvcsa.
    - Add --const-cw (-Y) option. This option allows using of constant
      code word for decryption.
    - Display better timing information for ECMs and code word changes.
    - Filter special symbols in provider and service names before
      printing them.
  * debian/patches/1001-dont_strip_binaries.patch:
    - Don't install stripped binaries.
  * debian/patches/1002-bashisms.patch:
    - Fix bashism to prevent FTBFS.
  * Refresh other patches.
  * Compile tsdecrypt twice, one per library:
    - tsdecrypt_dvbcsa uses libdvbcsa's decrypting routines
    - tsdecrypt_ffdecsa uses FFdecsa's decrypting routines
  * Install alternatives to let users choose which CSA decrypting
    library is appropriate for them.
  * Install manpages.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Apr 2012 12:54:23 +0200

tsdecrypt (7.0-1) unstable; urgency=low

  * Initial release. (Closes: #667461)

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Apr 2012 09:42:43 +0200
