=== debian/rules ===
#!/usr/bin/make -f

export PREFIX  := /usr
export DESTDIR := $(CURDIR)/debian/tsdecrypt

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
	# Build with FFdecsa
	$(MAKE) ffdecsa
	mv tsdecrypt tsdecrypt_ffdecsa
	$(MAKE) distclean
	# Build against libdvbcsa
	$(MAKE)
	mv tsdecrypt tsdecrypt_dvbcsa
	# Install binaries
	cd $(DESTDIR) && mkdir -p usr/bin
	install tsdecrypt_ffdecsa tsdecrypt_dvbcsa \
		$(DESTDIR)/usr/bin
