## tsdecrypt 8.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 INSTALL_PRG_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/bin)
 
 INSTALL_DOC = tsdecrypt.1
-INSTALL_DOC_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/man/man1)
+INSTALL_DOC_DIR = $(subst //,/,$(DESTDIR)/$(PREFIX)/share/man/man1)
 
 FUNCS_DIR = libfuncs
 FUNCS_LIB = $(FUNCS_DIR)/libfuncs.a
@@ -67,7 +67,7 @@
 tsdecrypt_LIBS += -ldvbcsa
 endif
 
-CLEAN_OBJS = $(FFDECSA_OBJ) tsdecrypt $(tsdecrypt_SRC:.c=.{o,d})
+CLEAN_OBJS = $(FFDECSA_OBJ) tsdecrypt $(tsdecrypt_SRC:.c=.o) $(tsdecrypt_SRC:.c=.d)
 
 PROGS = tsdecrypt
 
@@ -126,7 +126,7 @@
 	$(Q)$(MAKE) -s -C $(FUNCS_DIR) clean
 	$(Q)$(RM) FFdecsa.opts
 
-install: all strip
+install: all
 	@install -d "$(INSTALL_PRG_DIR)"
 	@install -d "$(INSTALL_DOC_DIR)"
 	@echo "INSTALL $(INSTALL_PRG) -> $(INSTALL_PRG_DIR)"
