=== debian/changelog ===
tsdecrypt (8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, applied upstream.
  * Explicitly build with "make dvbcsa" when building with libdvbcsa.
  * debian/copyright:
    - Some code are GPL-2 only, not GPL-2+.
    - Fix reference to GPL-2 license file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Apr 2012 02:47:10 +0200
