=== debian/control ===
Source: tsdecrypt
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libdvbcsa-dev,
 libssl-dev
Standards-Version: 3.9.3
Homepage: http://georgi.unixsol.org/programs/tsdecrypt/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/tsdecrypt.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tsdecrypt.git

Package: tsdecrypt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: decrypt MPEG transport stream
 tsdecrypt reads incoming MPEG transport stream over UDP/RTP and
 then decrypts it using libdvbcsa and keys obtained from OSCAM or
 similar cam server. tsdecrypt communicates with CAM server using
 cs378x (camd35 over tcp) protocol or newcamd protocol.
