=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mv tsdecrypt tsdecrypt_ffdecsa
 	$(MAKE) distclean
 	# Build against libdvbcsa
-	$(MAKE)
+	$(MAKE) dvbcsa
 	mv tsdecrypt tsdecrypt_dvbcsa
 	# Install binaries
 	cd $(DESTDIR) && mkdir -p usr/bin
