## tsdecrypt 9.0

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 DEFS = -DBUILD_ID=\"$(BUILD_ID)\" \
  -DVERSION=\"$(VERSION)\" -DGIT_VER=\"$(GIT_VER)\"
+DEFS += -D_FILE_OFFSET_BITS=64
 
 PREFIX ?= /usr/local
 
@@ -40,6 +41,7 @@
  csa.c \
  udp.c \
  util.c \
+ filter.c \
  camd.c \
  camd-cs378x.c \
  camd-newcamd.c \
