=== debian/changelog ===
tsdecrypt (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Oct 2012 01:08:09 +0100
