=== debian/changelog ===
tsdecrypt (10.0-5) unstable; urgency=medium

  * Team upload
  * Add debian/salsa-ci.yml
  * Switch to debhelper-compat 10
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Do a fully verbose build, fix BLCH Salsa job

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Dec 2025 18:34:13 +0100

tsdecrypt (10.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: libcrypt-dev. (Closes: #1107013)

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Dec 2025 23:12:41 +0200

tsdecrypt (10.0-4) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix missing #includes.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 19:25:28 +0100

tsdecrypt (10.0-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Sun, 24 Sep 2023 16:06:33 +0200

tsdecrypt (10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * strip build date to enable reproducible building (Closes: #829713)

  [ Vagrant Cascadian ]
  * debian/rules: Pass default CFLAGS. (Closes: #1022130)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 10 Nov 2022 13:54:44 -0800

tsdecrypt (10.0-2) unstable; urgency=low

  [ Peter Michael Green ]
  * Remove inappropriate compiler flags. (Closes: #730415)
  * Fix clean target.

  [ Alessio Treglia ]
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 14:52:09 +0000

tsdecrypt (10.0-1) unstable; urgency=low

  * New upstream release:
    - Add --ecm-only (-v) option. This allows processing of ECMs but without
      decoding the input stream.
    - Add --ecm-and-emm-only (-q) option. This allows processing of ECMs
      and EMMs but without decoding the input stream.
    - Set newcamd client id to 0x7878 (tsdecrypt).
    - Fixed regression that apeared in 9.0 which prevented the output from
      working if the output address was not multicast.
    - Add support for Griffin CAS and for DGCrypt CAS.
    - Add support for setting multicast source address /SSM/ (--input-source).
    - Add support for EMM filters similar to DVBAPI filters (match + mask).
    - Add support for EMM filters based on section length.
    - Add support for Irdeto CHID filtering (tested with Raduga).
  * Statically set DESTDIR and PREFIX in debian/rules to fix prevent build
    failures (Closes: #713528). Fix path creation too.
  * Use canonical form for VCS urls.
  * Update copyright holder info for Debian packaging, remove Comment field
    from License stanzas.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Oct 2013 15:50:12 +0100
