=== debian/control ===
Source: tsdecrypt
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper-compat (= 10),
 libcrypt-dev,
 libdvbcsa-dev,
 libssl-dev
Standards-Version: 4.7.3
Homepage: http://georgi.unixsol.org/programs/tsdecrypt/
Vcs-Git: https://salsa.debian.org/multimedia-team/tsdecrypt.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/tsdecrypt

Package: tsdecrypt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: decrypt MPEG transport stream
 tsdecrypt reads incoming MPEG transport stream over UDP/RTP and
 then decrypts it using libdvbcsa and keys obtained from OSCAM or
 similar cam server. tsdecrypt communicates with CAM server using
 cs378x (camd35 over tcp) protocol or newcamd protocol.
