=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/tsdecrypt
export V=1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:
	# Build with FFdecsa
	$(MAKE) V=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" ffdecsa
	mv tsdecrypt tsdecrypt_ffdecsa
	$(MAKE) distclean
	# Build against libdvbcsa
	$(MAKE) V=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" dvbcsa
	mv tsdecrypt tsdecrypt_dvbcsa
	# Install binaries
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install tsdecrypt_ffdecsa tsdecrypt_dvbcsa \
		$(DESTDIR)$(PREFIX)/bin

execute_after_dh_auto_clean:
	rm -f FFdecsa_build_PARALLEL_*.log
